Bug 1004622 - helpful additional components for install documentation
helpful additional components for install documentation
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14.4
: ---
Assigned To: Nick Coghlan
Amit Saha
:
Depends On:
Blocks: 1035121
  Show dependency treegraph
 
Reported: 2013-09-05 00:44 EDT by Tim Flink
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1035121 (view as bug list)
Environment:
Last Closed: 2013-12-19 00:09:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Flink 2013-09-05 00:44:13 EDT
I recently installed beaker and there are a few things that would have been nice to have in those docs:

 - discussion of firewall ports that need to be open (8000, 80/443. 69)
 - usage of cobbler to download pxe related files
 - requirements for power configuration on virthosts (ssh keys, polkit changes etc.)
 - configuration of VMs to use with beaker (set to boot from network, hd and power settings for virsh)

A lot of this is discussed in the dev env setup guide [1] but would be useful to have it in the main install documentation.
Comment 2 Amit Saha 2013-09-05 00:52:37 EDT
Tim, thanks for reporting these.

(In reply to Tim Flink from comment #0)
> I recently installed beaker and there are a few things that would have been
> nice to have in those docs:
> 
>  - discussion of firewall ports that need to be open (8000, 80/443. 69)
>  - usage of cobbler to download pxe related files
>  - requirements for power configuration on virthosts (ssh keys, polkit
> changes etc.)

Could you describe the polkit changes that you needed to do? I don't remember having to do any when I setup/wrote the docs for Fedora.
Comment 3 Tim Flink 2013-09-05 01:46:34 EDT
(In reply to Amit Saha from comment #2)
 
> Could you describe the polkit changes that you needed to do? I don't
> remember having to do any when I setup/wrote the docs for Fedora.

It's not so much a "have to" as I chose not to use root on the virthost.

Add the file /etc/polkit-1/rules.d/10-libvirt.rules which contains:

polkit.addRule(function (action, subject) {
    if (action.id == "org.libvirt.unix.manage" && subject.isInGroup("kvm"))
        return polkit.Result.YES;
});

then add the remote user to the kvm group and you don't need to have passwordless root access to the virthosts
Comment 5 Nick Coghlan 2013-11-27 01:38:49 EST
I split out bug 1035121 to cover documenting how to add a virsh host to Beaker.

This bug now just covers Tim's first two points:

 - discussion of firewall ports that need to be open (8000, 80/443. 69)
 - usage of cobbler to download pxe related files
Comment 6 Nick Coghlan 2013-11-27 02:20:30 EST
On Gerrit: http://gerrit.beaker-project.org/2556
Comment 7 Nick Coghlan 2013-11-27 23:23:09 EST
These changes have been included in the updated installation instructions at:

http://beaker-project.org/docs-release-0.14/admin-guide/installation.html
Comment 8 Amit Saha 2013-11-28 00:31:36 EST
(In reply to Nick Coghlan from comment #5)
> I split out bug 1035121 to cover documenting how to add a virsh host to
> Beaker.
> 
> This bug now just covers Tim's first two points:
> 
>  - discussion of firewall ports that need to be open (8000, 80/443. 69)
>  - usage of cobbler to download pxe related files

Verified that these have been added in the 0.14 install guide.

Note You need to log in before you can comment on or make changes to this bug.